[API Reference](../README.md) > [ITruffleContractFunction](../interfaces/ITruffleContractFunction.md)

# Interface: ITruffleContractFunction

## Hierarchy

 `function`

**↳ ITruffleContractFunction**

## Callable
▸ **__call**(args?: *`Array`<`any`>*): `Promise`<[Hash](../#Hash)>

*Defined in [contractWrapperBase.ts:334](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L334)*

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Optional` args | `Array`<`any`> |

**Returns:** `Promise`<[Hash](../#Hash)>

## Index

### Properties

* [estimateGas](ITruffleContractFunction.md#estimateGas)
* [sendTransaction](ITruffleContractFunction.md#sendTransaction)

---

## Properties

<a id="estimateGas"></a>

###  estimateGas

**● estimateGas**: *`function`*

*Defined in [contractWrapperBase.ts:338](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L338)*

#### Type declaration
▸(args?: *`Array`<`any`>*): `number`

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Optional` args | `Array`<`any`> |

**Returns:** `number`

___
<a id="sendTransaction"></a>

###  sendTransaction

**● sendTransaction**: *`function`*

*Defined in [contractWrapperBase.ts:337](https://github.com/daostack/arc.js/blob/6f704389/lib/contractWrapperBase.ts#L337)*

#### Type declaration
▸(args?: *`Array`<`any`>*): `Promise`<[Hash](../#Hash)>

**Parameters:**

| Param | Type |
| ------ | ------ |
| `Optional` args | `Array`<`any`> |

**Returns:** `Promise`<[Hash](../#Hash)>

___

